#!/bin/csh
#
# Copyright 2005-2010 Intel Corporation.  All Rights Reserved.
#
# The source code contained or described herein and all documents related
# to the source code ("Material") are owned by Intel Corporation or its
# suppliers or licensors.  Title to the Material remains with Intel
# Corporation or its suppliers and licensors.  The Material is protected
# by worldwide copyright laws and treaty provisions.  No part of the
# Material may be used, copied, reproduced, modified, published, uploaded,
# posted, transmitted, distributed, or disclosed in any way without
# Intel's prior express written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise.  Any license under such
# intellectual property rights must be express and approved by Intel in
# writing.


setenv TBB30_INSTALL_DIR "SUBSTITUTE_INSTALL_DIR_HERE" 
set TBB30_ARCH_ia32=SUBSTITUTE_IA32_ARCH_HERE
set TBB30_ARCH_ia64=SUBSTITUTE_IA64_ARCH_HERE
set TBB30_ARCH_intel64=SUBSTITUTE_INTEL64_ARCH_HERE

switch ("$1")
  case "ia32":
      set TBB30_ARCH=$TBB30_ARCH_ia32
      breaksw;
  case "intel64":
      set TBB30_ARCH=$TBB30_ARCH_intel64
      breaksw;
  case "ia64":
      set TBB30_ARCH=$TBB30_ARCH_ia64
      breaksw;
  default:
      echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64, ia64"
      breaksw;
endsw

if (! $?LIBRARY_PATH) then 
    setenv LIBRARY_PATH "${TBB30_INSTALL_DIR}/lib/${1}/${TBB30_ARCH}" 
else 
    setenv LIBRARY_PATH "${TBB30_INSTALL_DIR}/lib/${1}/${TBB30_ARCH}:$LIBRARY_PATH" 
endif 
if (! $?LD_LIBRARY_PATH) then 
    setenv LD_LIBRARY_PATH "${TBB30_INSTALL_DIR}/lib/${1}/${TBB30_ARCH}" 
else 
    setenv LD_LIBRARY_PATH "${TBB30_INSTALL_DIR}/lib/${1}/${TBB30_ARCH}:$LD_LIBRARY_PATH" 
endif 
if (! $?CPATH) then 
    setenv CPATH "${TBB30_INSTALL_DIR}/include" 
else 
    setenv CPATH "${TBB30_INSTALL_DIR}/include:$CPATH" 
endif 
