#!/bin/bash
#
# Copyright 2005-2010 Intel Corporation.  All Rights Reserved.
#
# The source code contained or described herein and all documents related
# to the source code ("Material") are owned by Intel Corporation or its
# suppliers or licensors.  Title to the Material remains with Intel
# Corporation or its suppliers and licensors.  The Material is protected
# by worldwide copyright laws and treaty provisions.  No part of the
# Material may be used, copied, reproduced, modified, published, uploaded,
# posted, transmitted, distributed, or disclosed in any way without
# Intel's prior express written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise.  Any license under such
# intellectual property rights must be express and approved by Intel in
# writing.


get_ia32(){ 
	echo SUBSTITUTE_IA32_ARCH_HERE
}

get_ia64(){
	echo SUBSTITUTE_IA64_ARCH_HERE
}

get_intel64(){
	echo SUBSTITUTE_INTEL64_ARCH_HERE
}

export TBB30_INSTALL_DIR=SUBSTITUTE_INSTALL_DIR_HERE
if [[ "$1" != "ia32" && "$1" != "intel64" && "$1" != "ia64" ]]; then
   echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64, ia64"
   return 1;
fi

TBB30_ARCH=$(get_$1)

if [ -z "${LD_LIBRARY_PATH}" ]
then
   LD_LIBRARY_PATH="$TBB30_INSTALL_DIR/lib/$1/$TBB30_ARCH"; export LD_LIBRARY_PATH
else
   LD_LIBRARY_PATH="$TBB30_INSTALL_DIR/lib/$1/$TBB30_ARCH:${LD_LIBRARY_PATH}"; export LD_LIBRARY_PATH
fi
if [ -z "${LIBRARY_PATH}" ]
then
   LIBRARY_PATH="$TBB30_INSTALL_DIR/lib/$1/$TBB30_ARCH"; export LIBRARY_PATH
else
   LIBRARY_PATH="$TBB30_INSTALL_DIR/lib/$1/$TBB30_ARCH:${LIBRARY_PATH}"; export LIBRARY_PATH
fi
if [ -z "${CPATH}" ]; then
    CPATH="${TBB30_INSTALL_DIR}/include"; export CPATH
else
    CPATH="${TBB30_INSTALL_DIR}/include:$CPATH"; export CPATH
fi

